Subject: [eap] Proposed resolution of Issue 42: Reject

From: [email-masked] (Bernard Aboba)
Date: Mon, 25 Nov 2002 12:31:00 -0800 (PST)

It is proposed that Issue 42: EAP Enhancements be rejected. Full text of
the issue is available at:

http://www.drizzle.com/~aboba/EAP/eapissues.html

Rationale for rejection:

Detection of disconnection is the responsibility of the link layer
and is not an appropriate function for EAP, which focusses on
authentication.

RFC 2284 does not include support for PAP, since this represents
an unacceptable security risk. Not only would PAP result in potential
compromise of the password when used within EAP, but since the
EAP-Message attribute is not encrypted within RADIUS, it would also
expose the password between the NAS and RADIUS server.

The Cause Code values can be accomodated within EAP Notification
and therefore addition of another EAP method is not required.